.TH wxBufferedDC 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxBufferedDC \- See external documentation: wxBufferedDC\&.
.SH DESCRIPTION
.LP
See external documentation: wxBufferedDC <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbuffereddc\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxMemoryDC 
.br
wxDC 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxBufferedDC()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxBufferedDC()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbuffereddc\&.html#wxbuffereddcwxbuffereddc>\&.
.RE
.LP
.B
new(Dc::wxDC() (see module wxDC)) -> wxBufferedDC()
.br
.RS
.LP
Equivalent to new(Dc, [])\&.
.RE
.LP
.B
new(Dc::wxDC() (see module wxDC), X::term()) -> wxBufferedDC()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbuffereddc\&.html#wxbuffereddcwxbuffereddc>\&. 
.br
 Alternatives: 
.LP
\fI new(Dc::wxDC:wxDC(), Area::{W::integer(), H::integer()}) -> new(Dc, Area, []) \fR
.LP
\fI new(Dc::wxDC:wxDC(), [Option]) -> wxBufferedDC() \fR 
.br
 Option = {buffer, wxBitmap:wxBitmap()} | {style, integer()} 
.RE
.LP
.B
new(Dc::wxDC() (see module wxDC), Area::{W::integer(), H::integer()}, Options::[Option]) -> wxBufferedDC()
.br
.RS
.TP
Types
Option = {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbuffereddc\&.html#wxbuffereddcwxbuffereddc>\&.
.RE
.LP
.B
init(This::wxBufferedDC(), Dc::wxDC() (see module wxDC)) -> ok
.br
.RS
.LP
Equivalent to init(This, Dc, [])\&.
.RE
.LP
.B
init(This::wxBufferedDC(), Dc::wxDC() (see module wxDC), X::term()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbuffereddc\&.html#wxbuffereddcinit>\&. 
.br
 Alternatives: 
.LP
\fI init(This::wxBufferedDC(), Dc::wxDC:wxDC(), Area::{W::integer(), H::integer()}) -> init(This, Dc, Area, []) \fR
.LP
\fI init(This::wxBufferedDC(), Dc::wxDC:wxDC(), [Option]) -> ok \fR 
.br
 Option = {buffer, wxBitmap:wxBitmap()} | {style, integer()} 
.RE
.LP
.B
init(This::wxBufferedDC(), Dc::wxDC() (see module wxDC), Area::{W::integer(), H::integer()}, Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxbuffereddc\&.html#wxbuffereddcinit>\&.
.RE
.LP
.B
destroy(This::wxBufferedDC()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
